Debian Bug report logs - #306867
manpages-dev: Please make errno, perror, strerror refer to err(3)

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Fri, 29 Apr 2005 00:48:07 UTC

Severity: wishlist

Tags: fixed-upstream, upstream

Found in version 1.70-1

Fixed in version 2.22-1

Done: Justin Pryzby <justinpryzby@users.sourceforge.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#306867; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sf.net>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sf.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: Please make errno, perror, strerror refer to err(3)
Date: Thu, 28 Apr 2005 20:41:55 -0400
Package: manpages-dev
Version: 1.70-1
Severity: wishlist

Please make errno, perror, strerror refer to err(3).

Maybe there are better places to put the reference, but I suggest
those three.



Tags added: upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#306867; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #12 received at 306867@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: 306867@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Please make errno, perror, strerror refer to err(3)
Date: Wed, 14 Dec 2005 13:10:24 +0100 (MET)
tags 306867 fixed-upstream
thanks

Justin,

I've made this change for 2.18.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, read 
the HOWTOHELP file and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Justin Pryzby <justinpryzby@users.sourceforge.net>. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Justin Pryzby <justinpryzby@users.sf.net> to Justin Pryzby <justinpryzby@users.sourceforge.net>. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by Justin Pryzby <justinpryzby@users.sourceforge.net>. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 306867-done@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 203214-done@bugs.debian.org, 306867-done@bugs.debian.org, 348337-done@bugs.debian.org, 350532-done@bugs.debian.org, 350884-done@bugs.debian.org, 351411-done@bugs.debian.org
Subject: fixed in recent uploads of manpages
Date: Wed, 15 Mar 2006 10:15:15 -0500
Version: 2.22-1

These bugs are all reported fixed by the upstream manpages maintainer,
Michael Kerrisk.  For my own convenience, I'm marking them all as
"fixed by upload of 2.22-1", even though some of them are fixed by
earlier uploads.  The bug number, real fixed-in version, and title are
listed below:

 #203214 2.18 missing #include in bind(2)
 #306867 2.18 Please make errno, perror, strerror refer to err(3)
 #348337 2.22 openpty(3) and pty(7) are unclear about whether or not openpty(3) will return a unix98 PTY
 #350532 2.22 ioperm manpage incorrectly titled IOPERN

Justin



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 07:59:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:41:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.